/* -*- C++ -*-
 * Region.h - header file for class Region
 * Copyright (c) 1999 Joe Yandle <yandle@cs.unc.edu>
 *
 * Region is an abstract class that defines the interface to regional
 * caller ID settings.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef REGION_H
#define REGION_H

#include "String.h"

class Region
{
public:
    virtual bool isAllFields(String& data)=0;
    virtual bool isNameField(String& data)=0;
    virtual bool isNmbrField(String& data)=0;
    virtual bool isRing(String& data)=0;
    virtual String getName(String& data)=0;
    virtual String getNmbr(String& data)=0;
};

#endif
